org.eclipse.mat.snapshot.registry

## Class SubjectRegistry<D>

- java.lang.Object
- - org.eclipse.mat.util.RegistryReader<D>
  - - org.eclipse.mat.snapshot.registry.SubjectRegistry<D>

All Implemented Interfaces:
  org.eclipse.core.runtime.dynamichelpers.IExtensionChangeHandler

Direct Known Subclasses:
  RequestDetailResolverRegistry

    public abstract class SubjectRegistry<D>
    extends RegistryReader<D>

### Constructor Summary

Constructors
Constructor and Description
`SubjectRegistry()`

### Method Summary

All Methods Instance Methods Concrete Methods
`D` `createDelegate(org.eclipse.core.runtime.IConfigurationElement configElement)`
`Collection<String>` `getKeys()`
`D` `lookup(String key)`

### Methods inherited from class org.eclipse.mat.util.RegistryReader

`addExtension, delegates, removeExtension`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SubjectRegistry

    public SubjectRegistry()

### Method Detail

#### createDelegate

    public final D createDelegate(org.eclipse.core.runtime.IConfigurationElement configElement)
                           throws org.eclipse.core.runtime.CoreException

Throws:
  `org.eclipse.core.runtime.CoreException`

#### lookup

    public final D lookup(String key)

#### getKeys

    public final Collection<String> getKeys()